CHANGE-PO-CHARSET(1)

NAME
change-po-charset - change the charset value in content-type header of a gettext po file

SYNOPSIS
change-po-charset <charset> FILENAME1 [ FILENAME2 ...]

DESCRIPTION
change-po-charset is a simple Perl script, which reads the specified file names, and prints them on standard output, making only the following modification. In the first msgstr string sequence it encounters, it changes the "charset" attribute of the Content-Type header to the charset specified as the first parameter.

Please note that it does not actually change any character encoding of the contents of the data. It is used by potooledit(1) to fix the content-type header after it recodes the file with iconv(1).

SEE ALSO
potooledit(1), iconv(1), msgmerge(1), msgfmt(1).

AUTHOR
change-po-charset was written by Marcin Owsiany <porridge@debian.org>.